# EggSummaryPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class EggSummaryPhase

Class that represents the egg summary phase It does some of the function for updating egg data Phase is handled mostly by the egg-hatch-scene-handler UI

#### Hierarchy (View Summary)

- Phase
  - EggSummaryPhase

- Defined in src/phases/egg-summary-phase.ts:11

##### Index

### Constructors

constructor

### Methods

end
start

## Constructors

### constructor

- new EggSummaryPhase(eggHatchData: EggHatchData []): EggSummaryPhase

  #### Parameters

  - eggHatchData: EggHatchData []

  #### Returns EggSummaryPhase

  Overrides Phase.constructor

  - Defined in src/phases/egg-summary-phase.ts:14

## Methods

### end

- end(): void

  #### Returns void

  Overrides Phase.end

  - Defined in src/phases/egg-summary-phase.ts:40

### start

- start(): void

  #### Returns void

  Overrides Phase.start

  - Defined in src/phases/egg-summary-phase.ts:19